%tabMenuTypes = ('menu2'=>'menu2', 'menu5'=>'menu5',
				'vmenu1'=>'vmenu1');

&printTabMenuHeader;

$inline_plugin{"tabmenu"} = sub {
	my ($session, $type, $dispText, $url, $target) = @_;

	if ($type && $dispText && $url) {
		my $currentId = '';
		if (&object_exists($url)) {
			my $currentPage = exists $::form{p} ? $::form{p} : 'FrontPage';
			if ($currentPage eq $url) {
				$currentId = 'id="current"';
			}
			$url = &title2url($url);
		}
		if (exists $tabMenuTypes{$type}) {
			if ($target) {
				sprintf('<div id="%s"><ul id="tabmenu"><li><a %s href="%s" target="%s">%s</a></li></ul></div>',
						$type, $currentId, $url, $target, $dispText);
			}
			else {
				sprintf('<div id="%s"><ul id="tabmenu"><li><a %s href="%s">%s</a></li></ul></div>',
						$type, $currentId, $url, $dispText);
			}
		}
		else {
			'<blink>tabmenu type is not found</blink>'
		}
	}
	else {
		'<blink>((tabmenu <i>type dispText url target</i>))</blink>'
	}
};

sub printTabMenuHeader {
	my $pagedata = exists $::form{p} ? &read_object($::form{p}) : &read_object('FrontPage');
	my $headerdata = &read_object('Header');
	my $sidebardata = &read_object('Sidebar');
	my $footerdata = &read_object('Footer');

	my $imagePath = $main::config{'TAB_MENU_IMAGE'};
	if (!$imagePath) {
		$imagePath = '';
	}

	if ($pagedata =~ /.*\(\(tabmenu.*\)\).*/ ||
		$headerdata =~ /.*\(\(tabmenu.*\)\).*/ ||
		$sidebardata =~ /.*\(\(tabmenu.*\)\).*/ ||
		$footerdata =~ /.*\(\(tabmenu.*\)\).*/) {
		push( @main::html_header , sprintf('<style type="text/css">
<!--

#tabmenu {
        list-style: none;
        margin: 0;
        padding: 0;
        }

/* =-=-=-=-=-=-=-[Menu]-=-=-=-=-=-=-=- */

#menu2 {
        width: 140px;
        border-style: solid solid none solid;
        border-color: #677D92;
        border-size: 1px;
        border-width: 1px;
        margin: 0px;
        }

#menu2 li a {
        height: 32px;
          voice-family: "\"}\"";
          voice-family: inherit;
          height: 24px;
        text-decoration: none;
        }

#menu2 li a:link, #menu2 li a:visited {
        color: #fff;
        display: block;
        background: url(%smenu2.gif) right 0;
        padding: 8px 0 0 10px;
        }

#menu2 li a:hover, #menu2 li #current {
        color: #283A50;
        background: url(%smenu2.gif) right -32px;
        padding: 8px 0 0 10px;
        }

#menu2 li a:active {
        color: #283A50;
        background: url(%smenu2.gif) right -64px;
        padding: 8px 0 0 10px;
        }


#menu5 {
        width: 140px;
        border-style: none solid none solid;
        border-color: #D0D0D0;
        border-width: 1px;
        margin: 0px;
        }

#menu5 li a {
          height: 32px;
          voice-family: "\"}\"";
          voice-family: inherit;
          height: 24px;
        text-decoration: none;
        }

#menu5 li a:link, #menu5 li a:visited {
        color: #777;
        display: block;
        background: url(%smenu5.gif) right 0;
        padding: 8px 25px 0 10px;
        text-align: right;
        }

#menu5 li a:hover, #menu5 li #current {
        color: #fff;
        background: url(%smenu5.gif) right -32px;
        padding: 8px 25px 0 10px;
        text-align: right;
        }

#menu5 li a:active {
        color: #fff;
        background: url(%smenu5.gif) right -64px;
        padding: 8px 25px 0 10px;
        text-align: right;
        }

/* =-=-=-=-=-=-=-[Vertical Menu]-=-=-=-=-=-=-=- */

#vmenu1 {
        width: 140px;
        margin: 0px;
        border-style: solid solid none solid;
        border-color: #3D261D;
        border-size: 1px;
        border-width: 1px;
        }

#vmenu1 li a {
        height: 32px;
          voice-family: "\"}\"";
          voice-family: inherit;
          height: 24px;
        text-decoration: none;
        }

#vmenu1 li a:link, #vmenu1 li a:visited {
        color: #E4D6CD;
        display: block;
        background:  url(%svmenu1.gif) right 0;
        padding: 8px 0 0 10px;
        }

#vmenu1 li a:hover, #vmenu1 li #current {
        color: #FFF;
        background:  url(%svmenu1.gif) right -32px;
        padding: 8px 0 0 10px;
        }
-->
</style>', $imagePath, $imagePath, $imagePath, $imagePath, $imagePath, $imagePath, $imagePath, $imagePath));
	}
}

$main::preferences{'TabMenu ImageURL'}= [
    { desc=>'TabMenu ImageURL' , type=>'text' , name=>'TAB_MENU_IMAGE' , size=>120 },
];

1;